Page MenuHomePhabricator

Special:WantedCategories uses MediaWiki:Nmemberschanged but should use MediaWiki:Nmembers
Closed, ResolvedPublic

Description

The text denoting the number of pages in a wanted category is using MediaWiki:Nmemberschanged. Instead, it must use MediaWiki:Nmembers until there is a change in the numbers displayed. Displaying something like "CATEGORY (X → X members)" just does not serve for the purpose of this special page.

I remember this feature worked well before, so I suspect a bug fix caused it to break.

Event Timeline

Superyetkin raised the priority of this task from to Medium.
Superyetkin updated the task description. (Show Details)
Superyetkin changed Security from none to None.
Superyetkin added a subscriber: Superyetkin.
Superyetkin updated the task description. (Show Details)Dec 5 2014, 9:45 PM

Change 177982 had a related patch set uploaded (by Umherirrender):
Ensure integer compare in Special:WantedCategories

https://gerrit.wikimedia.org/r/177982

Patch-For-Review

Aklapper renamed this task from Special:WantedCategories issue to Special:WantedCategories uses MediaWiki:Nmemberschanged but should use MediaWiki:Nmembers.Dec 8 2014, 12:42 PM

Change 177982 merged by jenkins-bot:
Ensure integer compare in Special:WantedCategories

https://gerrit.wikimedia.org/r/177982

Umherirrender closed this task as Resolved.Dec 20 2014, 10:12 AM
Umherirrender claimed this task.

Fix will be part of Version 1.25wmf14 - see https://www.mediawiki.org/wiki/MediaWiki_1.25/Roadmap for the time line